curl --request GET \
--url https://external.pleo.io/v1/subscriptions/{id}/activities \
--header 'Authorization: Bearer <token>'import requests
url = "https://external.pleo.io/v1/subscriptions/{id}/activities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.pleo.io/v1/subscriptions/{id}/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"actorUrn": "urn:pleo:organisation:12345678-1234-1234-1234-123456789012",
"createdAt": "2022-01-01T00:00:00Z",
"description": "Subscription deleted",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operationType": "CREATE",
"subscriptionId": "123e4567-e89b-12d3-a456-426614174000"
}
],
"pagination": {
"currentRequestPagination": {
"parameters": {},
"after": "<string>",
"before": "<string>",
"limit": 123,
"offset": 123,
"sortingKeys": [
"<string>"
],
"sortingOrder": [
"ASC"
]
},
"hasNextPage": true,
"hasPreviousPage": true,
"endCursor": "<string>",
"startCursor": "<string>",
"total": 123
}
}Get subscription activities
Fetches subscription activities of a given subscription.
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Path Parameters
The unique identifier of the subscription
Query Parameters
Filters subscriptions by operationTypes. If the value is null, all subscription activities for the specified subscriptionId are returned.
CREATE, UPDATE, DELETE Lower bound of the page of data to return (cannot be used together with [after] or [offset]).
^[A-Z2-7=~]+$Upper bound of the page of data to return (cannot be used together with [before] or [offset]).
^[A-Z2-7=~]+$Offset of the page of data to return (cannot be used together with [before] or [after]).
x >= 0The maximum amount of items to return.
x >= 0The keys to sort the results by.
The order to sort the results by. Must be the same length as [sortingKeys]; one order per key.
ASC, ASC_NULLS_FIRST, ASC_NULLS_LAST, DESC, DESC_NULLS_FIRST, DESC_NULLS_LAST Was this page helpful?